---
title: "Translate"
tags:
- action
- eca_base
- eca action 1.1.0
---
# Translate

Available since: 1.1.0

Translate a given value, and store the translated value as a token.

{!include/plugins/eca_base/action/eca_translate.md!}

## Fields

`Name of token`

:   The translation result will be stored in this token. Please provide the token name only, without brackets.

    {!include/plugins/eca_base/action/eca_translate/token_name.md!}

`Value to translate`

:   

    {!include/plugins/eca_base/action/eca_translate/value.md!}

`Interpret above value as YAML format`

:   Nested data can be set using YAML format, for example <em>mykey: "My value"</em>. When using this format, this option needs to be enabled. When using tokens and YAML altogether, make sure that tokens are wrapped as a string. Example: <em>title: "[node:title]"</em>

    {!include/plugins/eca_base/action/eca_translate/use_yaml.md!}

`Target language`

:   Define the language that the given value should be translated to.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_translate_target_langcode</em>

    {!include/plugins/eca_base/action/eca_translate/target_langcode.md!}
