---
title: "Entity: field is accessible"
tags:
- condition
- eca_content
- eca condition 1.0.0
---
# Entity: field is accessible

Available since: 1.0.0

Evaluates whether the current user has operational access on an entity field.

{!include/plugins/eca_content/condition/eca_entity_field_is_accessible.md!}

## Fields

`Field machine name`

:   The machine name of the field to check.

    {!include/plugins/eca_content/condition/eca_entity_field_is_accessible/field_name.md!}

`Operation`

:   The operation, like view, edit or delete to check accessibility.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_entity_field_is_accessible_operation</em>

    {!include/plugins/eca_content/condition/eca_entity_field_is_accessible/operation.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_content/condition/eca_entity_field_is_accessible/negate.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this condition should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/condition/eca_entity_field_is_accessible/entity.md!}
