---
title: "Form: add text field"
tags:
- action
- eca_form
- eca action 1.0.0
---
# Form: add text field

Available since: 1.0.0

Add a plain text field, textarea or formatted text to the current form in scope.

{!include/plugins/eca_form/action/eca_form_add_textfield.md!}

## Fields

`Field type`

:   List of the available types of the field to be added.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_form_add_textfield_type</em>

    {!include/plugins/eca_form/action/eca_form_add_textfield/type.md!}

`Field name`

:   The field name is a machine name and is used for being identified on form submission. Example: <em>first_name</em>. It can later be accessed via token <em>[current_form:values:first_name]</em>.

    {!include/plugins/eca_form/action/eca_form_add_textfield/name.md!}

`Field title`

:   The title of the field to be added.

    {!include/plugins/eca_form/action/eca_form_add_textfield/title.md!}

`Field description`

:   The description of the field to be added.

    {!include/plugins/eca_form/action/eca_form_add_textfield/description.md!}

`Field is required`

:   Whether the added field is required or not.

    {!include/plugins/eca_form/action/eca_form_add_textfield/required.md!}

`Default value`

:   The default value if the field is empty.

    {!include/plugins/eca_form/action/eca_form_add_textfield/default_value.md!}

`Element weight`

:   The lower the weight, the submit action appears before other submit actions having a higher weight.

    {!include/plugins/eca_form/action/eca_form_add_textfield/weight.md!}
