---
title: "Set parameter"
tags:
- action
- eca_parameters
- eca_parameters action 1.0.0
---
# Set parameter

Available since: 1.0.0

Set a parameter on the ECA parameters collection.

{!include/plugins/eca_parameters/action/eca_parameter_set.md!}

## Fields

`Parameter name`

:   The machine name of the parameter. Example: <em>my_eca_parameter</em>

    {!include/plugins/eca_parameters/action/eca_parameter_set/parameter_name.md!}

`Value of the parameter`

:   

    {!include/plugins/eca_parameters/action/eca_parameter_set/parameter_value.md!}

`Interpret above value as YAML format`

:   Nested data can be set using YAML format, for example <em>mykey: "My value"</em>. When using this format, this option needs to be enabled. When using tokens and YAML altogether, make sure that tokens are wrapped as a string. Example: <em>title: "[node:title]"</em>

    {!include/plugins/eca_parameters/action/eca_parameter_set/use_yaml.md!}

`Save according collection`

:   When enabled, the configuration will be saved permanently with the newly set value. If not enabled, the set value only persists on runtime.

    {!include/plugins/eca_parameters/action/eca_parameter_set/save.md!}
