---
title: "Render: view field"
tags:
- action
- eca_render
- eca action 1.1.0
---
# Render: view field

Available since: 1.1.0

View a field of a specified entity.

{!include/plugins/eca_render/action/eca_render_entity_view_field.md!}

## Fields

`Field name`

:   The machine name of the field. Example: <em>field_tags</em>

    {!include/plugins/eca_render/action/eca_render_entity_view_field/field_name.md!}

`View mode`

:   Example: <em>default, teaser</em>

    {!include/plugins/eca_render/action/eca_render_entity_view_field/view_mode.md!}

`Display options`

:   Alternatively, instead of specifying a view mode above, you can set custom display options here by using YAML format.

    {!include/plugins/eca_render/action/eca_render_entity_view_field/display_options.md!}

`Machine name`

:   Optionally define a machine name of this render element. It will be made available under that name in the render array of the current event in scope. Nested elements can be set with using "][" brackets, for example <em>details][title</em>.

    {!include/plugins/eca_render/action/eca_render_entity_view_field/name.md!}

`Token name`

:   Optionally define a token name of this render element. It will be made available under that token name for later usage. Please provide the token name only, without brackets.

    {!include/plugins/eca_render/action/eca_render_entity_view_field/token_name.md!}

`Element weight`

:   Optionally specify an element weight. The lower the weight, the element appears before other elements having a higher weight.

    {!include/plugins/eca_render/action/eca_render_entity_view_field/weight.md!}

`Build mode`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_render_entity_view_field_mode</em>

    {!include/plugins/eca_render/action/eca_render_entity_view_field/mode.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_render/action/eca_render_entity_view_field/object.md!}
