---
title: "Render: lazy element"
tags:
- action
- eca_render
- eca action 1.1.0
---
# Render: lazy element

Available since: 1.1.0

Build a lazy render element, optionally with arguments.

{!include/plugins/eca_render/action/eca_render_lazy.md!}

## Fields

`Machine name`

:   Optionally define a machine name of this render element. It will be made available under that name in the render array of the current event in scope. Nested elements can be set with using "][" brackets, for example <em>details][title</em>.

    {!include/plugins/eca_render/action/eca_render_lazy/name.md!}

`Element argument`

:   Optionally specify an argument to be passed to the lazy element.<br/>This field supports tokens.

    {!include/plugins/eca_render/action/eca_render_lazy/argument.md!}

`Token name`

:   Optionally define a token name of this render element. It will be made available under that token name for later usage. Please provide the token name only, without brackets.

    {!include/plugins/eca_render/action/eca_render_lazy/token_name.md!}

`Element weight`

:   Optionally specify an element weight. The lower the weight, the element appears before other elements having a higher weight.

    {!include/plugins/eca_render/action/eca_render_lazy/weight.md!}

`Build mode`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_render_lazy_mode</em>

    {!include/plugins/eca_render/action/eca_render_lazy/mode.md!}
