---
title: "VBO: Execute Views bulk operation (multiple at once)"
tags:
- event
- eca_vbo
- eca_vbo event 1.0.0
---
# VBO: Execute Views bulk operation (multiple at once)

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:view]` | The view config entity. |
    | `[event:view:id]` | The view ID. |
    | `[event:view:display_id]` | The display ID. |
    | `[event:action]` | The action plugin. |
    | `[event:action:plugin]` | The ID of the action plugin. |
    | `[event:action:config]` | An array with key value pairs of the configuration of the plugin. |
    | `[event:queue]` | The queued entities to process. |
    | `[event:queue:count]` | The number of items in the queue. |
    | `[event:queue:ids]` | The list of entity ids. |
    | `[event:queue:revisions]` | The list of entity revision ids. |
    | `[event:queue:items]` | The list of entities. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |

{!include/plugins/eca_vbo/event/vbo_execute_multiple.md!}

## Fields

`Operation name`

:   The operation name identifies this process and will show up in the bulk operations configuration form as selectable action. If you need custom access handling using the operation name, then make sure that the Views configuration is using the <em>ECA bulk operations</em> Views field plugin.<br/>By using multiple execution (selected entities at once), you have following tokens available:<ul><li><em>[event:view]</em> containing info about the used view</li><li><em>[event:action]</em> containing info about the executed action</li><li><em>[event:queue]</em> containing info about the queued entities selected for processing</li></ul>

    {!include/plugins/eca_vbo/event/vbo_execute_multiple/operation_name.md!}

`Optionally restrict by view ID`

:   

    {!include/plugins/eca_vbo/event/vbo_execute_multiple/view_id.md!}

`Optionally restrict by view display ID`

:   

    {!include/plugins/eca_vbo/event/vbo_execute_multiple/display_id.md!}
